aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pv/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-11 08:52:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-11 08:55:12 +0000
commit49254ab8cc4683241a94c86c0fe2c9a94f8807f1 (patch)
tree665cb11f25197e8691f6601460da8230cdc2b294 /testing/pv/APKBUILD
parent7f81db06d38fefa163e3121e9935701a59ecceab (diff)
downloadaports-49254ab8cc4683241a94c86c0fe2c9a94f8807f1.tar.gz
aports-49254ab8cc4683241a94c86c0fe2c9a94f8807f1.tar.bz2
aports-49254ab8cc4683241a94c86c0fe2c9a94f8807f1.tar.xz
testing/pv: new aport
terminal-based tool for monitoring the progress of data through a pipeline http://www.ivarch.com/programs/pv.shtml
Diffstat (limited to 'testing/pv/APKBUILD')
-rw-r--r--testing/pv/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/testing/pv/APKBUILD b/testing/pv/APKBUILD
new file mode 100644
index 0000000000..e0994e6ae6
--- /dev/null
+++ b/testing/pv/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pv
+pkgver=1.5.3
+pkgrel=0
+pkgdesc="CLI tool for monitoring the progress of data through a pipeline"
+url="http://www.ivarch.com/programs/pv.shtml"
+arch="all"
+license="Artistic 2.0"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.ivarch.com/programs/sources/pv-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/pv-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="efe8e9e4cad5f3264a32258a63bf2c8e pv-1.5.3.tar.bz2"
+sha256sums="76f3999b1c3b3027163dce6ef667cdf8dafb75218ee25e54a03bfe590478f90e pv-1.5.3.tar.bz2"
+sha512sums="976d0226f2eea7d7a09172701ef2f62560e809390ea554b84ac128bc77deaf01652b912351f620d9a274d6c22a3d5fb2988815902092ed93ea3992cc75cbd714 pv-1.5.3.tar.bz2"